namespace ZionVault.Util.Trim
{
    public class TrimLeft : ITrim
    {
        public string Type { get { return @"Left"; } }

        public char[] TrimChars { get; set;}

        public string Apply(string value)
        {
            if (TrimChars.Length > 0)
                return value.TrimStart(TrimChars);

            return value.TrimStart();
        }

        public string Apply(string value, char trimChar)
        {
            return value.TrimStart(trimChar);
        }

        public string Apply(string value, char[] trimChars)
        {
            return value.TrimStart(trimChars);
        }
    }
}
